org.eclipse.emf.compare.command

## Class CommandStackEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.emf.compare.command.CommandStackEvent

All Implemented Interfaces:
  Serializable

    public class CommandStackEvent
    extends EventObject

An event that can be passed to `CommandStackListener.commandStackChanged(EventObject)`.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `CommandStackEvent.Operation` An event type.

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`CommandStackEvent(CommandStack commandStack, CommandStackEvent.Operation type)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`CommandStackEvent.Operation` `getOperation()` Returns the type of this event.
`CommandStack` `getSource()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommandStackEvent

    public CommandStackEvent(CommandStack commandStack,
                             CommandStackEvent.Operation type)

Constructor.

Parameters:
  `commandStack` - the command stack of the event.
  `type` - the type of event.

### Method Detail

#### getSource

    public CommandStack getSource()

Overrides:
  `getSource` in class `EventObject`

#### getOperation

    public CommandStackEvent.Operation getOperation()

Returns the type of this event.

Returns:
  the type of this event.

#### toString

    public String toString()

Overrides:
  `toString` in class `EventObject`